com.sun.research.ws.wadl

## Class ObjectFactory

- java.lang.Object
- - com.sun.research.ws.wadl.ObjectFactory

    public class ObjectFactory
    extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the com.sun.research.ws.wadl package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

### Constructor Summary

Constructors
Constructor and Description
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.sun .research.ws.wadl

### Method Summary

All Methods Instance Methods Concrete Methods
`Application` `createApplication()` Create an instance of `Application`
`Doc` `createDoc()` Create an instance of `Doc`
`Grammars` `createGrammars()` Create an instance of `Grammars`
`Include` `createInclude()` Create an instance of `Include`
`Link` `createLink()` Create an instance of `Link`
`Method` `createMethod()` Create an instance of `Method`
`Option` `createOption()` Create an instance of `Option`
`Param` `createParam()` Create an instance of `Param`
`Representation` `createRepresentation()` Create an instance of `Representation`
`Request` `createRequest()` Create an instance of `Request`
`Resource` `createResource()` Create an instance of `Resource`
`Resources` `createResources()` Create an instance of `Resources`
`ResourceType` `createResourceType()` Create an instance of `ResourceType`
`Response` `createResponse()` Create an instance of `Response`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectFactory

    public ObjectFactory()

Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.sun .research.ws.wadl

### Method Detail

#### createResources

    public Resources createResources()

Create an instance of `Resources`

#### createDoc

    public Doc createDoc()

Create an instance of `Doc`

#### createResource

    public Resource createResource()

Create an instance of `Resource`

#### createParam

    public Param createParam()

Create an instance of `Param`

#### createOption

    public Option createOption()

Create an instance of `Option`

#### createLink

    public Link createLink()

Create an instance of `Link`

#### createMethod

    public Method createMethod()

Create an instance of `Method`

#### createRequest

    public Request createRequest()

Create an instance of `Request`

#### createRepresentation

    public Representation createRepresentation()

Create an instance of `Representation`

#### createResponse

    public Response createResponse()

Create an instance of `Response`

#### createApplication

    public Application createApplication()

Create an instance of `Application`

#### createGrammars

    public Grammars createGrammars()

Create an instance of `Grammars`

#### createInclude

    public Include createInclude()

Create an instance of `Include`

#### createResourceType

    public ResourceType createResourceType()

Create an instance of `ResourceType`